> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interior Mixer

> Add objects from one image into another room image with AI-powered object placement.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/interior/interior_mixer' \
```

## Body

```json json theme={null}
{
    "key":"",
    "init_image": "https://assets.modelslab.ai/generations/6840b690-116b-438c-b59c-0e433f19252d.jpg",
    "object_image":"https://assets.modelslab.ai/generations/a9affef8-07ee-4ffe-aad5-195f18c17dc5.jpg",
    "prompt": "add sofa from image 1 to the good position room in image 2",
    "width": 1024,
    "height": 1024,
    "guidance_scale": 8,
    "num_inference_steps": 51,
    "base64": false,
    "webhook": null,
    "track_id": null
}
```


## OpenAPI

````yaml POST /interior/interior_mixer
openapi: 3.1.0
info:
  title: ModelsLab Interior API
  description: AI-powered interior design and architectural visualization API
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api/v6
    description: Main API server
security: []
paths:
  /interior/interior_mixer:
    post:
      summary: Interior mixer
      description: >-
        Add objects from one image into another room image with AI-powered
        object placement
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InteriorMixerRequest'
      responses:
        '200':
          description: Interior mixer response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessInteriorResponse'
                  - $ref: '#/components/schemas/ProcessingInteriorResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    InteriorMixerRequest:
      type: object
      required:
        - key
        - init_image
        - object_image
        - prompt
      properties:
        key:
          type: string
          description: Your API Key used for authenticating your request
        init_image:
          type: string
          format: uri
          description: Room image in which object wants to be added
        object_image:
          type: string
          format: uri
          description: Object which we want to add
        prompt:
          type: string
          description: Prompt required for generation
        width:
          type: integer
          minimum: 512
          maximum: 2048
          description: >-
            Width of output image. Min: 512, Max: 2048. If not provided, uses
            original image resolution
        height:
          type: integer
          minimum: 512
          maximum: 2048
          description: >-
            Height of the output image. Min: 512, Max: 2048. If not provided,
            uses original image resolution
        guidance_scale:
          type: integer
          description: The scale for classifier-free guidance
        num_inference_steps:
          type: integer
          default: 8
          description: Number of inference steps required for generation
        base64:
          type: boolean
          default: false
          description: >-
            Specifies whether the response should be returned as a base64
            string. Defaults to false
        webhook:
          type: string
          format: uri
          nullable: true
          description: >-
            A URL to receive a POST API call once the image generation is
            complete
        track_id:
          type: integer
          nullable: true
          description: >-
            An ID returned in the API response, used to identify the webhook
            request
    SuccessInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        generationTime:
          type: number
          description: Time taken to generate the result in seconds
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of URLs to the generated images
        proxy_links:
          type: array
          items:
            type: string
            format: uri
          description: Array of proxy URLs for the generated images
        meta:
          type: object
          description: Metadata about the generation process and parameters used
    ProcessingInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
        tip:
          type: string
          description: >-
            Your image is processing in background, you can get this image using
            fetch API
        eta:
          type: integer
          description: Estimated time remaining in seconds
        message:
          type: string
          description: Try to fetch request after seconds estimated
        fetch_result:
          type: string
          format: uri
          description: URL to fetch the result when processing is complete
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
          description: Empty array during processing
        meta:
          type: object
          description: Metadata about the generation process and parameters used
        future_links:
          type: array
          items:
            type: string
            format: uri
          description: >-
            Array of URLs where the files will be available once processing is
            complete
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````